<div dir="ltr"><div class="gmail_default" style="font-family:tahoma,sans-serif;font-size:small">I added a comment in the ticket, but it looks like Debian Squeeze is using libgmp3-dev 2:4.3.2, which was the same version that I had when I was running into this issue.<br>
<br>Using an updated version of libgmp3-dev will fix the issue, but I'm not entirely sure if we need to consider supporting the packages in Debian Squeeze repository since Debian Wheezy is the new stable distribution, and it uses libgmp-dev 2:5.0.5. Someone with more intimate knowledge of GHC development might be able to speak on this issue.<br>
<br><br>Regards,<br>Tyler Huffman<br></div><div class="gmail_extra"><br><br><div class="gmail_quote">On Thu, Feb 6, 2014 at 1:50 PM, Jan Stolarek <span dir="ltr"><<a href="mailto:jan.stolarek@p.lodz.pl" target="_blank">jan.stolarek@p.lodz.pl</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">I had the same problem on Debian Squeeze:<br>
<br>
<a href="https://ghc.haskell.org/trac/ghc/ticket/8666" target="_blank">https://ghc.haskell.org/trac/ghc/ticket/8666</a><br>
<br>
What is your distro?<br>
<br>
CCing ghc-devs.<br>
<br>
Janek<br>
<br>
Dnia czwartek, 6 lutego 2014, Sergei Meshveliani napisa³:<br>
> Dear GHC team,<br>
><br>
> I am trying to test    ghc-7.8.20140130-src.tar.bz2<br>
><br>
> I make it from source with   ghc-7.6.3  on Debian Linux (64 bit).<br>
><br>
> ./configure  looks all right.<br>
><br>
> And `make' reports after 40 minutes:<br>
><br>
> -------------------------------------------------------<br>
> ...<br>
> ...<br>
> "inplace/bin/ghc-stage1" -optc-Ilibraries/integer-gmp/.<br>
> -optc-I'/home/mechvel/g.....<br>
> ...<br>
> ...<br>
> /usr/bin/ld: libraries/integer-gmp/gmp/objs/aors.o: relocation<br>
> R_X86_64_32 against `__gmpz_sub' can not be used when making a shared<br>
> object; recompile with -fPIC<br>
> libraries/integer-gmp/gmp/objs/aors.o: could not read symbols: Bad value<br>
> collect2: ld returned 1 exit status<br>
> make[1]: ***<br>
> [libraries/integer-gmp/dist-install/build/libHSinteger-gmp-0.5.1.0\<br>
> -<a href="http://ghc7.8.20140130.so" target="_blank">ghc7.8.20140130.so</a>] Error 1<br>
> -------------------------------------------------------<br>
><br>
><br>
> What might this mean? Need I to install a fresher  libgmp ?<br>
><br>
> Thanks,<br>
><br>
> ------<br>
> Sergei<br>
><br>
> _______________________________________________<br>
> Glasgow-haskell-users mailing list<br>
> <a href="mailto:Glasgow-haskell-users@haskell.org">Glasgow-haskell-users@haskell.org</a><br>
> <a href="http://www.haskell.org/mailman/listinfo/glasgow-haskell-users" target="_blank">http://www.haskell.org/mailman/listinfo/glasgow-haskell-users</a><br>
<br>
<br>
_______________________________________________<br>
ghc-devs mailing list<br>
<a href="mailto:ghc-devs@haskell.org">ghc-devs@haskell.org</a><br>
<a href="http://www.haskell.org/mailman/listinfo/ghc-devs" target="_blank">http://www.haskell.org/mailman/listinfo/ghc-devs</a><br>
</blockquote></div><br></div></div>